commit:     cd851ba3a2b2df75fc0a51bedac3b2285730d629
Author:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  3 05:19:45 2018 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Sat Mar  3 05:19:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd851ba3

sys-auth/ykpers: bump to 1.18.1 #649208

Closes: https://bugs.gentoo.org/649208
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 sys-auth/ykpers/Manifest             |  1 +
 sys-auth/ykpers/ykpers-1.18.1.ebuild | 47 ++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/sys-auth/ykpers/Manifest b/sys-auth/ykpers/Manifest
index 6d28724f6a9..91121948b3f 100644
--- a/sys-auth/ykpers/Manifest
+++ b/sys-auth/ykpers/Manifest
@@ -1 +1,2 @@
 DIST ykpers-1.18.0.tar.gz 124932 BLAKE2B 
48e7045429081c1e577ca560b3a10a4cc380820add40526dbb2a8e0fe347eae79c1dff8335c5363148da55cb374e193230ecb6273b08566ef94959848ceb848e
 SHA512 
d636fcabf94a3fb48841572b7b0f03a12a3b3243b11ed7377654d01c33c7282dc321ee13b13c1ee3f2a49fc5015e326a96ef5bc1594b8592d07c1e5aa0521d20
+DIST ykpers-1.18.1.tar.gz 125397 BLAKE2B 
7393373414f9f2f9474408c86b8abba0f2034f5908ab8c14fd1dbf9acab40994b43b19031a58f5e889acaf289869b82bd429199237da173e3fa19154b4424374
 SHA512 
faf9c98fc41a64ae17e2002cd22e89fa2f51de9941aa6eb10c49aa78fd2e2867a5d47fc91fd91ab8e916117cba08629f3f1b076d91698ac2fee6e43366d948a8

diff --git a/sys-auth/ykpers/ykpers-1.18.1.ebuild 
b/sys-auth/ykpers/ykpers-1.18.1.ebuild
new file mode 100644
index 00000000000..0ffb8502d96
--- /dev/null
+++ b/sys-auth/ykpers/ykpers-1.18.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools udev
+
+DESCRIPTION="Library and tool for personalization of Yubico's YubiKey"
+SRC_URI="https://github.com/Yubico/yubikey-personalization/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+HOMEPAGE="https://github.com/Yubico/yubikey-personalization";
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="BSD-2"
+IUSE="static-libs consolekit"
+
+RDEPEND="
+       >=sys-auth/libyubikey-1.6
+       virtual/libusb:1"
+DEPEND="${RDEPEND}
+       app-text/asciidoc
+       virtual/pkgconfig"
+RDEPEND="${RDEPEND}
+       consolekit? ( sys-auth/consolekit[acl] )"
+
+S="${WORKDIR}/yubikey-personalization-${PV}"
+
+DOCS=( doc/. AUTHORS NEWS README )
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --libdir=/usr/$(get_libdir) \
+               --localstatedir=/var \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       use consolekit && udev_dorules *.rules
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to